## LassoIdWsf2DstRefModifyItem LassoIdWsf2DstRefModifyItem — <dstref:ModifyItem> |

## Functions

LassoIdWsf2DstRefModifyItem * | lasso_idwsf2_dstref_modify_item_new ()
LassoIdWsf2DstRefModifyItem * | lasso_idwsf2_dstref_modify_item_new_full ()

## Types and Values

struct | LassoIdWsf2DstRefModifyItem

## Description

Figure 179. Schema fragment for dstref:ModifyItem

    <xs:complexType name="ModifyItemType">
      <xs:sequence>
        <xs:element ref="dstref:Select" minOccurs="0" maxOccurs="1"/>
        <xs:element ref="dstref:NewData" minOccurs="0" maxOccurs="1"/>
      </xs:sequence>
      <xs:attributeGroup ref="dst:ModifyItemAttributeGroup"/>
    </xs:complexType>

## Functions

### lasso_idwsf2_dstref_modify_item_new ()

    LassoIdWsf2DstRefModifyItem *
    lasso_idwsf2_dstref_modify_item_new (void);

Creates a new LassoIdWsf2DstRefModifyItem object.

#### Returns

a newly created LassoIdWsf2DstRefModifyItem object

### lasso_idwsf2_dstref_modify_item_new_full ()

    LassoIdWsf2DstRefModifyItem *
    lasso_idwsf2_dstref_modify_item_new_full
                                   (const gchar *item_xpath,
                                    const gchar *item_id,
                                    xmlNode *new_data,
                                    gboolean overrideAllowed);

## Types and Values

### struct LassoIdWsf2DstRefModifyItem

    struct LassoIdWsf2DstRefModifyItem {
    	LassoNode parent;

    	/* elements */
    	char *Select;
    	LassoIdWsf2DstRefAppData *NewData;
    	/* attributes */
    	char *notChangedSince;
    	gboolean overrideAllowed;
    	char *id;
    	char *itemID;
    };